SortedSetCollectionMapper (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.entities.mapper.relation
Class SortedSetCollectionMapper

    java.lang.Object
      org.hibernate.envers.entities.mapper.relation.AbstractCollectionMapper<T>
          org.hibernate.envers.entities.mapper.relation.BasicCollectionMapper<SortedSet>
              org.hibernate.envers.entities.mapper.relation.SortedSetCollectionMapper

All Implemented Interfaces:
  PropertyMapper

    public final class SortedSetCollectionMapper

extends BasicCollectionMapper<SortedSet>

Field Summary

Fields inherited from class org.hibernate.envers.entities.mapper.relation.BasicCollectionMapper
`elementComponentData`

Fields inherited from class org.hibernate.envers.entities.mapper.relation.AbstractCollectionMapper
`collectionClass, commonCollectionMapperData`

Constructor Summary
`SortedSetCollectionMapper(CommonCollectionMapperData commonCollectionMapperData, Class<? extends SortedSet> collectionClass, Class<? extends SortedSet> proxyClass, MiddleComponentData elementComponentData, Comparator comparator)`

Method Summary
`protected Initializor<SortedSet>` | `getInitializor(AuditConfiguration verCfg, AuditReaderImplementor versionsReader, Object primaryKey, Number revision)`

Methods inherited from class org.hibernate.envers.entities.mapper.relation.BasicCollectionMapper
`getNewCollectionContent, getOldCollectionContent, mapToMapFromObject`

Methods inherited from class org.hibernate.envers.entities.mapper.relation.AbstractCollectionMapper
`mapCollectionChanges, mapModifiedFlagsToMapForCollectionChange, mapModifiedFlagsToMapFromEntity, mapToEntityFromMap, mapToMapFromEntity`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.envers.entities.mapper.PropertyMapper
`mapCollectionChanges, mapModifiedFlagsToMapForCollectionChange, mapModifiedFlagsToMapFromEntity, mapToEntityFromMap, mapToMapFromEntity`

Constructor Detail

### SortedSetCollectionMapper

    public SortedSetCollectionMapper(CommonCollectionMapperData commonCollectionMapperData,
                                     Class<? extends SortedSet> collectionClass,
                                     Class<? extends SortedSet> proxyClass,
                                     MiddleComponentData elementComponentData,
                                     Comparator comparator)

Method Detail

### getInitializor

    protected Initializor<SortedSet> getInitializor(AuditConfiguration verCfg,
                                                    AuditReaderImplementor versionsReader,
                                                    Object primaryKey,
                                                    Number revision)

  Overrides:
    `getInitializor` in class `BasicCollectionMapper<SortedSet>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.